# Accept Terms

<EndpointPage
  breadcrumbs={[
    { label: "REST APIs", href: "/rest-api/rest-api" },
    { label: "Prediction Markets", href: "/rest-api/rest-api#prediction-markets" },
    { label: "Terms", href: "/rest-api/prediction-markets/terms" },
    { label: "Accept Terms" },
  ]}
  title="Accept Terms"
  method="POST"
  url="https://api.gemini.com/v1/prediction-markets/terms/accept"
  description="Accepts the latest configured Prediction Markets terms for the authenticated account group. Call this after displaying the terms returned by Get Terms and before sending trading orders."
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/prediction-markets/terms/accept",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <>
          <p style={{ margin: "0 0 2px" }}>The API key you use to access this endpoint must have the Trader role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
          <p style={{ margin: 0 }}>The OAuth scope must have <InlineBadge>orders:create</InlineBadge> assigned to access this endpoint. See <a href="/authentication/oauth#oauth-scopes" style={{ color: "inherit", textDecorationLine: "underline" }}>OAuth Scopes</a> for more information.</p>
        </>
      ),
    },
    {
      heading: "Headers",
      children: <PMSpecHeaders />,
    },
    {
      heading: "Authenticated Payload",
      children: (
        <p style={{ margin: 0 }}>Sign the private REST payload with <code>request: "/v1/prediction-markets/terms/accept"</code> and a fresh <code>nonce</code>. This endpoint accepts the latest configured terms version and has no endpoint-specific request body.</p>
      ),
    },
    {
      heading: "Responses",
      children: <PMSpecResponses operationId="acceptPredictionMarketsTerms" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Get Terms Status", href: "/rest-api/prediction-markets/terms/get-terms-status" }}
  next={{ label: "Order Management", href: "/rest-api/prediction-markets/order-management" }}
/>
